:root{
    --baby-blue-color: #89CFF0;
    --blue-color: #0D00A4;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "DM Sans", sans-serif;
    font-style: normal;
    transition: all 0.4s ease-in;
}

body{
    background: #0d00a4;
    background: radial-gradient(circle, var(--baby-blue-color) 23%, #02010A 100%);
    background-repeat: no-repeat;
    min-height: 100vh;
}

body::-webkit-scrollbar{
    display: none;
}

.website-container{
    margin: 2rem;
    height: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    background: #FFFFFF;
}

.website-container::-webkit-scrollbar{
    display: none;
}

.navigation{
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #FFFFFF;
}

.navigation .logo{
    font-family: "Inter", serif;
    font-size: 48px;
}

.navigation .menu .navbar-nav{
    font-size: 20px;
    display: flex;
    flex-direction: row;
}

.navigation .menu .navbar-nav .nav-item{
    margin-right: 10px;
}

.website-body{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.website-body .welcome-message{
    font-size: 48px;
    margin-top: 100px;
}

.projects{
    margin-top: 70px;
}

.projects h2{
    font-size: 48px;
}

.project-overview{
    display: flex;
    justify-content: center;
    flex-direction: row;
}

.project-banner{
    width: 300px;
    height: 300px;
    border: 1px solid #140152;
    border-radius: 3px;
    margin: 20px;
    filter: brightness(0.7);
}

.project-banner p{
    font-size: 32px;
}

.project-banner img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.stack{
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center; 
}

.stack h2{
    font-size: 48px;
}

.stack-overview{
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
}

.stack-overview .front-end {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    gap: 20px;
}

.stack-overview .single-tech{
    width: 100px;
    height: 100px;
    border: 1px solid #140152; 
    border-radius: 50%;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 36px;
}

.footer{
    border-top: 1px solid #140152;
    padding: 40px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

footer .logo{
    font-family: 'Inter', serif;
    font-size: 48px;
}

.footer-links{
    display: flex;
    flex-direction: column;
    font-size: 24px;
}

.image-container{
    width: 300px;
    border: 1px solid #140152;
    border-radius: 5px;
    object-fit: contain;
    background-repeat: no-repeat;
    overflow: hidden;
}

.image-container img{
    width: 100%;
    height: 100%;
}

.letter_body{
    width: 100px;
    height: auto;
}

.footer-image{
    width: 70px;
    height: 70px;
}

.footer-image img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.love-png{
    width: 70px;
    height: 70px;
    top: 10px;
    right: 10px;
}

.love-png img{
    width: 100%;
    height: 100%;
}

.picture{
    height: 600px;
    width: 400px;
    background-color: #cceee9;
    border-radius: 16px;
    padding: 20px;
}

.picture img{
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 16px;
}

.picture.pic_1{
    right: -90px;
    top: 40px;
    transform: rotate(-45deg);
}

.picture.pic_2{
    left: -90px;
    top: -100px;
    transform: rotate(-20deg);
}

@media screen and (max-width: 567px){
    .website-body .welcome-message{
        font-size: 24px;
    }
    .picture.pic_1{
        top: 550px;
    }
}
